> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Crear transcripción

> Transcribe audio al idioma de entrada

## Cuerpo de la solicitud

**Tiempo de espera de solicitudes síncronas:** este endpoint no-chat espera a que el modelo enrutado termine. Entradas grandes, audio largo o lotes grandes pueden superar los valores predeterminados habituales de 30s del cliente, así que configura el timeout de tu cliente HTTP en al menos `120s`.

<ParamField body="file" type="file" required>
  Archivo de audio para transcribir. Formatos compatibles: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, webm.
</ParamField>

<ParamField body="model" type="string" default="whisper-1">
  Modelo que se utilizará. Actualmente solo se admite `whisper-1`.
</ParamField>

<ParamField body="language" type="string">
  Idioma del audio en formato ISO-639-1 (p. ej., `en`, `zh`, `ja`).
</ParamField>

<ParamField body="prompt" type="string">
  Texto opcional para guiar el estilo del modelo o continuar un segmento anterior.
</ParamField>

<ParamField body="response_format" type="string" default="json">
  Formato de salida: `json`, `text`, `srt`, `verbose_json`, `vtt`.
</ParamField>

<ParamField body="temperature" type="number" default="0">
  Temperatura de muestreo (0 a 1).
</ParamField>

<ParamField body="timestamp_granularities" type="array">
  Granularidad de las marcas de tiempo: `word` y/o `segment`. Requiere `verbose_json`.
</ParamField>

## Respuesta

<ResponseField name="text" type="string">
  El texto transcrito.
</ResponseField>

Para `verbose_json`:

<ResponseField name="task" type="string">
  Siempre `transcribe`.
</ResponseField>

<ResponseField name="language" type="string">
  Idioma detectado.
</ResponseField>

<ResponseField name="duration" type="number">
  Duración del audio en segundos.
</ResponseField>

<ResponseField name="segments" type="array">
  Segmentos de la transcripción con marcas de tiempo.
</ResponseField>

<ResponseField name="words" type="array">
  Marcas de tiempo a nivel de palabra (si se solicitan).
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://api.tokenlab.sh/v1/audio/transcriptions" \
    -H "Authorization: Bearer sk-your-api-key" \
    -F file="@audio.mp3" \
    -F model="whisper-1" \
    -F language="en"
  ```

  ```python Python theme={null}
  from openai import OpenAI

  client = OpenAI(
      api_key="sk-your-api-key",
      base_url="https://api.tokenlab.sh/v1"
  )

  with open("audio.mp3", "rb") as audio_file:
      response = client.audio.transcriptions.create(
          model="whisper-1",
          file=audio_file,
          language="en"
      )

  print(response.text)
  ```

  ```javascript JavaScript theme={null}
  import OpenAI from 'openai';
  import fs from 'fs';

  const client = new OpenAI({
    apiKey: 'sk-your-api-key',
    baseURL: 'https://api.tokenlab.sh/v1'
  });

  const response = await client.audio.transcriptions.create({
    model: 'whisper-1',
    file: fs.createReadStream('audio.mp3'),
    language: 'en'
  });

  console.log(response.text);
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://api.tokenlab.sh/v1/audio/transcriptions');

  $file = new CURLFile('audio.mp3', 'audio/mpeg', 'audio.mp3');

  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_POST => true,
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer sk-your-api-key'
      ],
      CURLOPT_POSTFIELDS => [
          'file' => $file,
          'model' => 'whisper-1',
          'language' => 'en'
      ]
  ]);

  $response = curl_exec($ch);
  curl_close($ch);

  $data = json_decode($response, true);
  echo $data['text'];
  ```
</RequestExample>

<ResponseExample>
  ```json Response (json) theme={null}
  {
    "text": "Hello, this is a test of the transcription API."
  }
  ```

  ```json Response (verbose_json) theme={null}
  {
    "task": "transcribe",
    "language": "english",
    "duration": 5.5,
    "text": "Hello, this is a test of the transcription API.",
    "segments": [
      {
        "id": 0,
        "start": 0.0,
        "end": 2.5,
        "text": "Hello, this is a test",
        "tokens": [...]
      }
    ]
  }
  ```
</ResponseExample>

## Traducción

Para traducir audio al inglés, utiliza el endpoint de traducciones:

```python theme={null}
response = client.audio.translations.create(
    model="whisper-1",
    file=audio_file
)
```
